Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 985568 - isomd5sum fails to build for 64-Bit ARM (aarch64)
Summary: isomd5sum fails to build for 64-Bit ARM (aarch64)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: isomd5sum
Version: 19
Hardware: aarch64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Brian Lane
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-17 19:01 UTC by D. Marlin
Modified: 2013-07-22 00:35 UTC (History)
2 users (show)

Fixed In Version: isomd5sum-1.0.11-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-07-22 00:35:41 UTC


Attachments (Terms of Use)
Patch to set LIBDIR correctly for 64-Bit ARM (aarch64). (deleted)
2013-07-17 19:02 UTC, D. Marlin
no flags Details | Diff

Description D. Marlin 2013-07-17 19:01:26 UTC
Description of problem:

The isomd5sum package fails to build for 64-Bit ARM (aarch64).

Version-Release number of selected component (if applicable):

  isomd5sum-1.0.10-1.fc19

How reproducible:

  Consistently

Steps to Reproduce:
1.  Build isomd5sum on an Aarch64 simulator
2.
3.

Actual results:
    :
Processing files: isomd5sum-devel-1.0.10-1.fc19.aarch64
RPM build errors:
error: File not found by glob: /builddir/build/BUILDROOT/isomd5sum-1.0.10-1.fc19.aarch64/usr/lib64/*.a
    File not found by glob: /builddir/build/BUILDROOT/isomd5sum-1.0.10-1.fc19.aarch64/usr/lib64/*.a
Child return code was: 1


Expected results:

Package builds without errors.


Additional info:

The development libraries were being put in .../usr/lib instead of ....
/usr/lib64, but %{_libdir} was defined as /usr/lib64, so the files were not found.  Attached is a patch to set LIBDIR correctly in Makefile.

Comment 1 D. Marlin 2013-07-17 19:02:51 UTC
Created attachment 774930 [details]
Patch to set LIBDIR correctly for 64-Bit ARM (aarch64).

Comment 2 Fedora Update System 2013-07-18 00:01:33 UTC
isomd5sum-1.0.11-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/isomd5sum-1.0.11-1.fc19

Comment 3 Fedora Update System 2013-07-20 09:50:05 UTC
Package isomd5sum-1.0.11-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing isomd5sum-1.0.11-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-13290/isomd5sum-1.0.11-1.fc19
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2013-07-22 00:35:41 UTC
isomd5sum-1.0.11-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.